:root {
	font-size: 14px;
}

@media (min-width: 960px) {
	:root {
		font-size: 16px;
	}
}

@media (min-width: 1440px) {
	:root {
		font-size: 18px;
	}
}

*, *::before, *::after { box-sizing: border-box; }

body {
	background: white;
	font-family: "Montserrat", Arial, Helvetica, sans-serif;
	font-weight: normal;
	font-size: 1em;
	min-width: 360px;
	overflow: overlay;
}

.container {
	max-width: 1440px;
	margin: 0 auto;
}

.account .page-content .container {
	max-width: 960px;
}

header {
	padding: 1em;
}

header .container::after {
	content: "";
	display: block;
	clear: both;
}

header a.custom-logo-link {
	display: block;
	float: left;
	width: 210px;
}

header a.custom-logo-link img {
	display: block;
	width: 100%;
	height: auto;
}

header a.nav-opener {
	display: block;
	float: right;
	position: relative;
	text-decoration: none;
	z-index: 21;
	width: 4em;
	height: 4em;
	color: var(--primary-color);
	transition: color 0.5s;
	margin-right: -1em;
}

header a.nav-opener i {
	display: block;
	position: absolute;
	top: 50%;
	left: 25%;
	width: 50%;
	height: 2px;
	background: currentcolor;
	transition: transform 0.5s ease, opacity 0.5s, top 0.5s ease;
	opacity: 1;
}

header a.nav-opener i:nth-of-type(1) { top: 35%; }
header a.nav-opener i:nth-of-type(3) { top: 65%; }

.something-open header a.nav-opener { color: var(--primary-color-contrast); }

.something-open header a.nav-opener i {
	opacity: 0;
	transform: rotateZ(135deg);
	top: 50%;
}

.something-open header a.nav-opener i:nth-of-type(1) {
	opacity: 1;
}

.something-open header a.nav-opener i:nth-of-type(3) {
	opacity: 1;
	transform: rotateZ(225deg);
}

header .wp-block-button__link.login {
	float: right;
	clear: right;
	background: var(--secondary-color);
	padding: 0.75em 1.5em;
	min-width: 0;
}

header .wp-block-button__link.login:hover {
	background: var(--secondary-color-hover);	
}

header .user--loggedin {
	float: right;
	clear: right;
	display: block;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;
	position: relative;
}

header .user--loggedin a.membership-number {
	display: none;
}

header .user--loggedin a.username {
	display: none;
}

header .user--loggedin a.avatar {
	display: block;
	width: 4em;
	height: 4em;
	overflow: hidden;
	padding: 1px;
}

header .user--loggedin a.avatar img {
	display: block;
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center center;
	border-radius: 0.3em;
	border: 1px solid var(--dull-color);
}

header .user--loggedin .user--menu {
	position: absolute;
	top: 100%;
	margin-top: 1em;
	right: 0;
	white-space: nowrap;
	background: var(--dull-color);
	color: var(--dull-color-contrast);
	filter: drop-shadow(0 0 0.5em rgba(0, 0, 0, 0.25));
	padding: 1em;
	display: none;
	z-index: 10;
}

header .user--loggedin.menu-open .user--menu {
	display: block;
}

header .user--loggedin .user--menu::before {
	content: "";
	display: block;
	position: absolute;
	bottom: 100%;
	right: 1.5em;
	border: 0.5em solid transparent;
	border-bottom-color: var(--dull-color);
}

header .user--loggedin .user--menu a {
	display: table;
	color: white;
	text-decoration: none;
	padding: 0.25em;
}

header .user--loggedin .user--menu a:hover {
	text-decoration: underline;
}

header .user--loggedin .user--menu .sep {
	display: none;
}

header .user--login p {
	margin: 0 0 1em;
}

header .user--login p label {
	font-size: 0.9em;
}

header .user--login p input[type="text"],
header .user--login p input[type="email"],
header .user--login p input[type="password"] {
	display: block;
	width: 100%;
	background: transparent;
	color: inherit;
	font: inherit;
	padding: 0.75em;
	border: 1px solid currentcolor;
	outline: 0;
}

header .user--login p [type="submit"] {
	background: var(--primary-color-contrast);
	color: var(--primary-color);
	min-width: 0;
	padding: 0.75em 1.5em;
	font-size: 0.9em;
}

header .user--login p a.reset-password {
	display: inline-block;
	margin-left: 1em;
	color: white;
	font-size: 0.8em;
}

nav.main ul li a[href^="tel:"]::before {
	content: "\f095";
	display: inline-block;
	vertical-align: middle;
	font-family: "Font Awesome 7 Free";
	font-weight: 900;
	margin: 0 0.5em 0.25em 0;
}

@media (max-width: 959px) {
	nav.main,
	header .user--login {
		position: fixed;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background: var(--primary-color);
		color: var(--primary-color-contrast);
		transition: transform 0.5s;
		transform: translate3d(0, -100%, 0);
		padding: 1em;
		font-size: 2em;
		z-index: 20;
	}

	.nav-open nav.main,
	.login-open header .user--login {
		transform: none;
	}

	header .user--login {
		padding-top: 5em;
	}

	nav.main ul {
		list-style: none;
		display: block;
		padding: 0;
		margin: 0;
	}

	nav.main li {
		list-style: none;
		display: block;
		padding: 0;
		margin: 0;
	}

	nav.main li::before { display: none; }

	nav.main ul li a {
		display: table;
		color: inherit;
		text-decoration: none;
		font-weight: bold;
	}

	header .user--login {
		bottom: auto;
		font-size: 1em;
	}
}

@media (max-width: 782px) {
	.admin-bar nav.main,
	.admin-bar header .user--login {
		top: 46px;
	}
}

@media (min-width: 783px) and (max-width: 959px) {
	.admin-bar nav.main,
	.admin-bar header .user--login {
		top: 32px;
	}
}

@media (min-width: 960px) {
	header .container {
		position: relative;
	}

	header a.custom-logo-link {
		width: 240px;
	}

	header a.nav-opener { display: none; }
	header .wp-block-button__link.login { display: none; }

	header .user--login {
		display: block;
		float: right;
		clear: right;
		margin-bottom: -1em;
	}

	header .user--login form {
		display: flex;
		flex-wrap: nowrap;
		align-items: flex-end;
		justify-content: space-between;
		font-size: 0.8em;
		gap: 1em;
	}

	header .user--login form p {
		white-space: nowrap;
		flex-grow: 1;
		flex-shrink: 1;
		position: relative;
	}

	header .user--login form p.login-username,
	header .user--login form p.login-password {
		width: 35%;
	}

	header .user--login form p.login-submit {
		text-align: right;
		flex-grow: 0;
	}

	header .user--login p [type="submit"] {
		background: var(--primary-color);
		color: var(--primary-color-contrast);
		padding: 0.75em 1.5em;
		font-size: 1em;
		display: block;
	}

	header .user--login p [type="submit"]:hover {
		background: var(--primary-color-hover);
	}

	header .user--login p a.reset-password {
		color: var(--dull-color);
		font-size: 0.8em;
		margin: 0;
		position: absolute;
		top: 100%;
		right: 0;
	}

	header .user--loggedin {
		display: grid;
		gap: 0 1em;
	}

	header .user--loggedin a.membership-number {
		display: block;
		text-decoration: none;
		color: var(--dull-color);
		margin: 0;
		padding: 0;
		grid-row: 1;
		grid-column: 1;
		font-weight: normal;
		align-self: end;
		text-align: right;
		font-size: 0.8em;
	}

	header .user--loggedin a.membership-number::before {
		content: "Membership number: ";
		font-weight: bold;
	}

	header .user--loggedin a.username {
		display: block;
		text-decoration: none;
		color: var(--dull-color);
		margin: 0;
		padding: 0;
		grid-row: 2;
		grid-column: 1;
		font-weight: bold;
		align-self: end;
		text-align: right;
	}

	header .user--loggedin a.avatar {
		grid-row-start: 1;
		grid-row-end: 4;
		grid-column: 2;
	}

	header .user--loggedin .user--menu {
		display: block;
		grid-row: 3;
		grid-column: 1;
		position: static;
		margin: 0.25em 0 0 0;
		padding: 0;
		color: var(--dull-color);
		background: transparent;
		align-self: start;
		font-size: 0.8em;
		text-align: right;
	}

	header .user--loggedin .user--menu::before {
		display: none;
	}

	header .user--loggedin .user--menu a {
		display: inline-block;
		color: var(--primary-color);
		padding: 0;
	}

	header .user--loggedin .user--menu .sep {
		display: inline-block;
		width: 1em;
		text-align: center;
	}

	header nav.main {
		float: right;
		clear: right;
		margin-right: -0.5em;
	}

	header nav.main ul {
		list-style: none;
		display: flex;
		flex-wrap: nowrap;
		align-items: center;
		justify-content: space-between;
		padding: 0;
		margin: 2em 0 0 0;
	}

	header nav.main ul li {
		list-style: none;
		display: block;
		padding: 0;
		margin: 0;
	}

	header nav.main ul li::before { display: none; }

	header nav.main ul li a {
		display: block;
		padding: 0.5em 0.75em;
		color: var(--primary-color);
		text-decoration: none;
		font-weight: bold;
		transition: color 0.1s, background 0.1s;
	}

	header nav.main ul li a:hover {
		color: var(--secondary-color);
	}

	nav.main ul li a[href^="tel:"] {
		color: var(--secondary-color);
	}

	header nav.main ul li.page-join a,
	header nav.main ul li.page-premium a {
		background: var(--secondary-color);
		color: var(--secondary-color-contrast);
		border-radius: 0.2em;
	}

	header nav.main ul li.page-join a:hover,
	header nav.main ul li.page-premium a:hover {
		background: var(--secondary-color-hover);
	}
}

@media (min-width: 1280px) {
	header nav.main ul li a {
		margin: 0 0 0 1em;
	}
}

@media (min-width: 1440px) {
	header {
		padding: 2em;
	}

	header .user--login form {
		margin-top: -1em;
	}
}

.header-separator {
	background: var(--primary-color);
}

.home:not(.logged-in) .header-separator {
	display: none;
}

.header-separator .container {
	background: url(../img/swirls.png) 100% 100% no-repeat;
	background-size: auto 250%;
	min-height: 75px;
}

.page-content {
	padding: 0 1em;
}

.rewards-wrapper {
	margin: 2em 0;
	position: relative;
}

.sidebar-opener {
	display: inline-block;
	height: 2em;
	color: inherit;
	text-decoration: none;
	font-weight: 600;
	margin: 2em 0;
	color: var(--primary-color);
}

.sidebar-opener:hover {
	color: var(--primary-color-hover);
}

.sidebar-opener::before {
	display: inline-block;
	content: "\f03a";
	font-family: "Font Awesome 7 Pro";
	font-weight: bold;
	height: 2em;
	line-height: 2em;
	font-size: 1.25em;
	margin: 0 0.5em 0.25em 0;
	vertical-align: middle;
}

.sidebar-categories-wrapper {
	display: grid;
	grid-template-rows: 1fr;
	transition: grid-template-rows 0.5s;
	overflow: hidden;
}

.sidebar-categories-wrapper.hidden {
	grid-template-rows: 0fr;
}

.sidebar-categories-wrapper ul {
	overflow: hidden;
}

@media (min-width: 960px) {
	.rewards-wrapper {
		display: flex;
		align-items: flex-start;
		justify-content: space-between;
		gap: 3em;
		margin: 4em 0;
	}

	aside.rewards-sidebar {
		width: calc(30% - 2em);
	}

	main.rewards-main {
		width: calc(70% - 1em);
	}

	.sidebar-opener { display: none; }

	.sidebar-categories-wrapper {
		display: block;
		margin-top: 2em;
	}
}

aside.rewards-sidebar ul.sidebar {
	list-style: none;
	display: block;
	padding: 0;
	margin: 0;
}

aside.rewards-sidebar ul.sidebar li.widget {
	list-style: none;
	display: block;
	padding: 0;
	margin: 0;
}

aside.rewards-sidebar ul.sidebar li.widget::before {
	display: none;
}

aside.rewards-sidebar ul.sidebar li.widget h1,
aside.rewards-sidebar ul.sidebar li.widget h2,
aside.rewards-sidebar ul.sidebar li.widget h3,
aside.rewards-sidebar ul.sidebar li.widget h4,
aside.rewards-sidebar ul.sidebar li.widget h5 {
	margin: 2em 0 1em;
}

aside.rewards-sidebar ul.sidebar li.widget:first-of-type h1,
aside.rewards-sidebar ul.sidebar li.widget:first-of-type h2,
aside.rewards-sidebar ul.sidebar li.widget:first-of-type h3,
aside.rewards-sidebar ul.sidebar li.widget:first-of-type h4,
aside.rewards-sidebar ul.sidebar li.widget:first-of-type h5 {
	margin-top: 0;
}

footer {
	background: var(--dull-color);
	color: var(--dull-color-contrast);
	padding: 1em 1em 4em;
	text-align: center;
}

footer .container::after {
	content: "";
	display: block;
	clear: both;
}

footer a.custom-logo-link {
	display: block;
	width: 210px;
	margin: 0 auto 2em;
	background: url(../img/rfr-logo-footer.png) 50% 50% no-repeat;
	background-size: contain;
}

footer a.custom-logo-link img {
	display: block;
	width: 100%;
	height: auto;
	opacity: 0;
}

nav.footer ul {
	list-style: none;
	display: block;
	padding: 0;
	margin: 0 0 1em;
	line-height: 1.75em;
}

nav.footer ul li {
	list-style: none;
	display: inline-block;
	padding: 0;
	margin: 0 0.5em;
}

nav.footer ul li::before {
	display: none;
}

nav.footer ul li a {
	color: inherit;
	text-decoration: underline;
}

footer .copyright {
	font-size: 0.8em;
}

footer nav.social {
	text-align: center;
	margin: 2em 0;
}

footer nav.social a {
	display: inline-block;
	font-family: "Font Awesome 7 Brands";
	color: white;
	text-decoration: none;
	margin: 0 0.25em;
	font-size: 2em;
	vertical-align: middle;
}

footer nav.social a.instagram::before {
	content: "\f16d";
}

footer nav.social a.twitter::before {
	content: "\f099";
}

footer nav.social a.facebook::before {
	content: "\f39e";
}

footer nav.social a.pinterest::before {
	content: "\f231";
}

@media (min-width: 768px) {
	footer {
		text-align: left;
	}

	footer a.custom-logo-link {
		float: left;
		margin: 0 0 4em;
	}

	nav.footer {
		float: right;
		text-align: right;
	}

	nav.footer ul li {
		display: block;
		margin: 0 0 0 1em;
	}

	nav.footer ul li a {
		text-decoration: none;
	}

	nav.footer ul li a:hover {
		text-decoration: underline;
	}

	footer .copyright {
		clear: left;
	}

	footer .copyright p {
		margin: 0;
	}

	footer nav.social {
		float: right;
		clear: right;
	}
}

@media (min-width: 960px) {
	footer a.custom-logo-link {
		width: 240px;
	}
}

@media (min-width: 1440px) {
	footer {
		padding: 2em 2em 6em;
	}
}

.user-mini-profile {
	display: flex;
}

.message {
	padding: 1em;
	max-width: 55em;
	margin: 2em auto;
	background: var(--message-color);
	color: var(--message-color-contrast);
	border-radius: 0.3em;
	font-weight: bold;
}

.contact .message {
	max-width: none;
}

.message.error {
	background: var(--error-color);
	color: var(--error-color-contrast);
}

.message.success {
	background: var(--success-color);
	color: var(--success-color-contrast);
}

.message a {
	color: inherit;
	text-decoration: underline;
}

.wpcf7 input[type="text"],
.wpcf7 input[type="email"],
.wpcf7 input[type="tel"] {
	font: inherit;
	color: inherit;
	background: transparent;
	padding: 0.25em 0;
	border: none;
	border-bottom: 2px solid currentcolor;
	outline: 0;
}

.wpcf7 textarea {
	font: inherit;
	color: inherit;
	background: transparent;
	padding: 0.25em 0;
	border: none;
	border-bottom: 2px solid currentcolor;
	outline: 0;
	height: 4em;
	resize: none;
}

.wpcf7 input[type="text"]:focus,
.wpcf7 input[type="email"]:focus,
.wpcf7 input[type="tel"]:focus,
.wpcf7 textarea:focus {
	border-bottom-color: var(--secondary-color);
}

.wpcf7-not-valid-tip {
	font-weight: bold;
}

.wpcf7-not-valid-tip::before {
	content: "\f3bf";
	display: inline-block;
	vertical-align: middle;
	font-weight: 900;
	font-family: "Font Awesome 7 Free";
	transform: scale(-1, 1);
	margin: 0 0.5em 1em 0;
}

.wpcf7 form .wpcf7-response-output {
	margin: 1em 0;
	padding: 1em;
	border: 2px solid transparent;
}

.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output,
.wpcf7 form.payment-required .wpcf7-response-output {
}

.wpcf7 form.sent .wpcf7-response-output {
	border-color: #46b450;
}

.brands {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	align-items: center;
	justify-content: flex-start;
	margin: 0 -0.5em;
}

.brands img.brand {
	display: block;
	width: calc(50% - 1em);
	height: auto;
	object-fit: contain;
	object-position: center center;
	margin: 0 0.5em 1em;
	border-radius: 0.5em;
}

@media (min-width: 768px) {
	.brands img.brand {
		width: calc(20% - 0.5em);
	}
}

@media (min-width: 1280px) {
	.brands img.brand {
		width: calc(12.75% - 0.5em);
	}
}

.add-to-home {
	display: table;
	margin: 2em 0 0;
	background: var(--primary-color-contrast);
	color: var(--primary-color);
	text-decoration: none;
	font-size: 1rem;
	font-weight: bold;
	padding: 1em 1em;
	border-radius: 0.5em;
}

.add-to-home::before {
	content: "\e74b";
	display: inline-block;
	vertical-align: middle;
	margin: 0 0.5em 0 0;
	font-family: "Font Awesome 7 Pro";
	font-weight: 900;
	font-size: 1.5em;
}

@media (min-width: 960px) {
	.add-to-home { display: none; }
}

@media (display-mode: standalone) {
	.add-to-home { display: none; }
}

@media (display-mode: minimal-ui) {
	.add-to-home { display: none; }
}

.cart-row {
	margin: 1em 0;
	position: relative;
	max-width: 25em;
}

.cart-row .product {
	display: inline-block;
	margin: 0 0.5em 0 0;
	padding: 1em 0;
}

.cart-row .qty {
	display: inline-block;
	font-weight: bold;
	opacity: 0.5;
}

.cart-row .qty::before {
	content: "x";
}

.cart-row .price {
	position: absolute;
	top: 0;
	right: 0;
	text-align: center;
	background: var(--secondary-color);
	color: var(--secondary-color-contrast);
	font-weight: bold;
	padding: 0.5em;
	border-radius: 0.5em;
}

.cart-row .price .freq {
	color: var(--dull-color);
	font-weight: normal;
	font-size: 0.8em;
}

.account-create-banner {
	margin: 2em 0 -2em;
	font-weight: bold;
	font-size: 1.2em;
}